
<template>
  <span>
  <v-data-table
    :headers="headers"
    :items="users"
    class="elevation-1"
    :expand="true"
  >
    <template v-slot:items="props">
      <td>{{ props.item.cod_pessoa }}</td>
      <td class="text-xs-right">{{ props.item.name }}</td>
      <td class="text-xs-right">{{ props.item.email }}</td>
      <td class="text-xs-right">{{ props.item.status_usuario == 'a' ? 'ativo' : 'inativo'  }}</td>
      <td class="text-xs-right">
      
          <v-menu offset-y>
            <template v-slot:activator="{ on }">
          
              <v-btn class="ma-2" v-on="on" tile large color="white" icon>
                <v-icon>more_horiz</v-icon>
              </v-btn>
            </template>
       
            <v-list class="text-xs-center ">
                  <v-list-tile-title @click="editar(props.item.id)" class="item-list">Editar</v-list-tile-title>
                  <v-list-tile-title @click="remove(props.item.id)" class="item-list">Remover</v-list-tile-title>
            </v-list>
          </v-menu>

      </td>
    </template>
  </v-data-table>

       
    </span>
</template>


<script>

  import { mapState } from 'vuex'

  export default {
    data () {
      return {
        headers: [
          {
            text: 'Código',
            align: 'center',
            sortable: false,
            value: 'name',
          },
          { text: 'Nome Completo',align: 'right', value: 'calories' },
          { text: 'Email', align: 'right', value: 'fat' },
          { text: 'Status', align: 'right', value: 'carbs' },
          { text: 'Ações', align: 'right', value: 'acoes' }
        ]
      }
    },
    created(){

        this.$store.dispatch('user/getUsers');
        console.log(process.env.VUE_APP_ROOT_API);

    },
    computed: {
            ...mapState('user', [
                'users',
            ]),
    },
    methods:{
      editar(id){
        this.$store.dispatch('userForm/selectUser', id);
        this.$store.dispatch('userForm/setVisible', true);
        this.$store.dispatch('userForm/setTitle', 'Ediçāo de Usuário');
      },
      remove(id){
        this.$store.dispatch('user/deleteUser', id);
      }
    }
  }
</script>


<style>
.v-table{
    border-top: 5px solid #1D334B;
}

.item-list{
  font-size: 1em;
  margin: 1em;
}
</style>



